clang 8.0.0

Public Member Functions | Friends | List of all members
clang::DependentStoredDeclsMap Class Reference

`#include "clang/AST/DeclContextInternals.h"`

Inheritance diagram for clang::DependentStoredDeclsMap:
[legend]
Collaboration diagram for clang::DependentStoredDeclsMap:
[legend]

## Public Member Functions
| DependentStoredDeclsMap ()=default

## Friends
class | DeclContext
class | DependentDiagnostic

## Additional Inherited Members
Static Public Member Functions inherited from clang::StoredDeclsMap
static void | DestroyAll (StoredDeclsMap *Map, bool Dependent)

## Detailed Description

Definition at line 252 of file DeclContextInternals.h.

## Constructor & Destructor Documentation

## ◆ DependentStoredDeclsMap()

clang::DependentStoredDeclsMap::DependentStoredDeclsMap | ( |  | ) |
| default

## Friends And Related Function Documentation

## ◆ DeclContext

friend class DeclContext
| friend

Definition at line 257 of file DeclContextInternals.h.

## ◆ DependentDiagnostic

friend class DependentDiagnostic
| friend

Definition at line 258 of file DeclContextInternals.h.

The documentation for this class was generated from the following file:

- include/clang/AST/DeclContextInternals.h